## org.junit.experimental.categories
Annotation Type Category

    @Retention(value=RUNTIME)
    @Inherited
    public @interface Category

Marks a test class or test method as belonging to one or more categories of tests. The value is an array of arbitrary classes. This annotation is only interpreted by the Categories runner (at present). For example:

     public interface FastTests {}
     public interface SlowTests {}

     public static class A {
     @Test
     public void a() {
     fail();
     }

     @Category(SlowTests.class)
     @Test
     public void b() {
     }
     }

     @Category({SlowTests.class, FastTests.class})
     public static class B {
     @Test
     public void c() {

     }
     }

For more usage, see code example on `Categories`.

Required Element Summary
`Class<?>[]` `value`

Element Detail

### value

    public abstract Class<?>[] value

Copyright © 2002–2020 JUnit. All rights reserved.